<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class EntriesMade extends CI_Controller
{
    function __construct()
    {
        parent:: __construct();
        $this->load->model("EntriesMadeModel");
    }

    public function index()
    {
        if ($this->session->userdata('roshaan_username')) {

            $data['summary'] = $this->EntriesMadeModel->getCategoryWise();
            /* $data['total'] = $this->EntriesMadeModel->getTotal();
             $data['cat1'] = $this->EntriesMadeModel->getGeneralLitigation();
             $data['cat2'] = $this->EntriesMadeModel->getCommercialLitigation();
             $data['cat3'] = $this->EntriesMadeModel->getDebtBankruptcy();
             $data['cat4'] = $this->EntriesMadeModel->getDefamation();
             $data['cat5'] = $this->EntriesMadeModel->getEmploymentLaw();
             $data['cat6'] = $this->EntriesMadeModel->getInHouseLawyer();*/

            $data['user_info1'] = $this->session->userdata('roshaan_name') . " | " . $this->session->userdata('roshaan_outlet_name');
            $data['user_info2'] = $this->session->userdata('roshaan_username');
            $data['EntriesMade'] = "active";
            $data['myJS'] = base_url('assets/theme_admin/js/pages/entries_made.js');

            $this->load->view('admin/template/header', $data);
            $this->load->view('admin/entries_made');
            $this->load->view('admin/template/footer');
        } else {
            redirect('Login');
        }
    }


    function update()
    {
        if ($this->session->userdata('roshaan_username')) {

            $pdData = $_POST['tbl'];
            for ($i = 0; $i < sizeof($pdData['id']); $i++) {
                $detail = array(
                    'cat1' => $pdData['cat1'][$i],
                    'cat2' => $pdData['cat2'][$i],
                    'cat3' => $pdData['cat3'][$i],
                    'cat4' => $pdData['cat4'][$i],
                    'cat5' => $pdData['cat5'][$i],
                    'cat6' => $pdData['cat6'][$i],
                    'cat7' => $pdData['cat7'][$i],
                    'cat8' => $pdData['cat8'][$i],
                    'cat9' => $pdData['cat9'][$i],
                    'cat10' => $pdData['cat10'][$i],
                );
                $this->EntriesMadeModel->update($detail, $pdData['id'][$i]);
            }

            redirect('EntriesMade');
        } else {
            redirect('Login');
        }
    }
}
