<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Search extends CI_Controller
{
    function __construct()
    {
        parent:: __construct();
        $this->load->model("FirmModel");
        $this->load->model("SolicitorModel");
    }

    public function index($form_errors = "")
    {
        if ($this->session->userdata('roshaan_username')) {

            $data['user_info1'] = $this->session->userdata('roshaan_name') . " | " . $this->session->userdata('roshaan_outlet_name');
            $data['user_info2'] = $this->session->userdata('roshaan_username');
            $data['Search'] = "active";
            $data['myJS'] = base_url('assets/theme_admin/js/pages/search.js');
            if ($form_errors != "") {
                $data['form_errors'] = $form_errors;
            }
            $this->load->view('admin/template/header', $data);
            $this->load->view('admin/search');
            $this->load->view('admin/template/footer');
        } else {
            redirect('Login');
        }
    }

    public function getData()
    {

        $this->SolicitorModel->deleteTempSearch();
        $temp = array();
        foreach ($this->SolicitorModel->getSearch($_POST['general_litigation'],
            $_POST['commercial_litigation'],
            $_POST['debt_bankruptcy'],
            $_POST['defamation'],
            $_POST['employment_law'],
            $_POST['in_house_lawyer'],
            $_POST['family_law'],
            $_POST['banking'],
            $_POST['debt'],
            $_POST['insurance'],
            $_POST['position'],
            $_POST['num1'],
            $_POST['num2']
        ) as $r):

            $tSearch['solicitor'] = $r->id;
            $this->SolicitorModel->insertTempSearch($tSearch);
            unset($tSearch);

            $row['id'] = $r->id;
            $row['name'] = $r->name;
            $row['solicitors_num'] = $r->solicitors_num;
            $row['website'] = $r->website;
            $row['address'] = $r->bAddress;
            $row['town'] = $r->eTown;
            $row['county'] = $r->bCounty;
            $row['postcode'] = $r->bPC;
            $row['sname'] = $r->firstname . " " . $r->surname;
            $row['email'] = $r->email;
            $row['mobile'] = $r->mobile;
            $row['telephone'] = $r->telephone;
            $row['direct_line'] = $r->direct_line;
            $row['general_litigation'] = $r->general_litigation;
            $row['commercial_litigation'] = $r->commercial_litigation;
            $row['debt_bankruptcy'] = $r->debt_bankruptcy;
            $row['defamation'] = $r->defamation;
            $row['employment_law'] = $r->employment_law;
            $row['in_house_lawyer'] = $r->in_house_lawyer;
            $row['family_law'] = $r->family_law;
            $row['banking'] = $r->banking;
            $row['debt_recovery'] = $r->debt_recovery;
            $row['insurance'] = $r->insurance;
            $row['position'] = $r->position;
            $row['linked_in'] = $r->linked_in;
            $row['facebook'] = $r->facebook;
            $row['twitter'] = $r->twitter;
            $row['notes'] = $r->notes;

            /*$row['action'] = "<button onclick='editForm(" . $r->id . ")' data-toggle='tooltip' data-placement='bottom' title='Edit' class='btn btn-sm btn-success btn-edit'>
         <i class='fa fa-edit'></i></button>
         <button data-id='" . $r->id . "' data-toggle='tooltip' data-placement='bottom' title='Delete' class='btn btn-sm btn-danger btn-delete'>
         <i class='fa fa-trash'></i></button>";*/
            array_push($temp, $row);
        endforeach;
        $data['data'] = $temp;
        echo json_encode($data);
    }

}
