<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Setting extends CI_Controller
{
    function __construct()
    {
        parent:: __construct();
        $this->load->model("SolicitorModel");
    }

    public function index()
    {
        if ($this->session->userdata('roshaan_username')) {
            $data['user_info1'] = $this->session->userdata('roshaan_name') . " | " . $this->session->userdata('roshaan_outlet_name');
            $data['user_info2'] = $this->session->userdata('roshaan_username');
            $data['Setting'] = "active";
            $data['myJS'] = base_url('assets/theme_admin/js/pages/setting.js');
            $this->load->view('admin/template/header', $data);
            $this->load->view('admin/setting');
            $this->load->view('admin/template/footer');
        } else {
            redirect('Login');
        }
    }


    function resetAllExportTicks()
    {
        if ($this->session->userdata('roshaan_username')) {
            $data['exported'] = 0;
            $this->SolicitorModel->resetAllExportTicks($data);
        } else {
            redirect('Login');
        }
    }

    function truncateExport()
    {
        if ($this->session->userdata('roshaan_username')) {
            $this->SolicitorModel->truncateExport();
        } else {
            redirect('Login');
        }
    }



}
