<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class User extends CI_Controller
{
    function __construct()
    {
        parent:: __construct();

        $this->load->model("OutletModel");
        $this->load->model("UserModel");
    }

    public function index($form_errors = "")
    {
        if ($this->session->userdata('roshaan_username')) {
            $data['userRoleData'] = $this->UserModel->getAllRoles();

            $data['user_info1'] = $this->session->userdata('roshaan_name')." | ".$this->session->userdata('roshaan_outlet_name');
            $data['user_info2'] = $this->session->userdata('roshaan_username');
            $data['User'] = "active";
            $data['myJS'] = base_url('assets/theme_admin/js/pages/user.js');
            if ($form_errors != "") {
                $data['form_errors'] = $form_errors;
            }
            $this->load->view('admin/template/header', $data);
            $this->load->view('admin/user');
            $this->load->view('admin/template/footer');
        } else {
            redirect('Login');
        }
    }

    public function getUsers()
    {

        $temp = array();
        foreach ($this->UserModel->getAll() as $r):
            $row['name'] = $r->name;
            $row['phone'] = $r->phone;
            $row['cnic'] = $r->cnic;
            $row['address'] = $r->address;
            $row['username'] = $r->username;
            $row['password'] = $r->password;
            $row['role'] = $r->uRole;
            $row['action'] = "<button onclick='editForm(" . $r->id . ")' data-toggle='tooltip' data-placement='bottom' title='Edit' class='btn btn-sm btn-success btn-edit'>
         <i class='fa fa-edit'></i></button>
         <button data-id='" . $r->id . "' data-toggle='tooltip' data-placement='bottom' title='Delete' class='btn btn-sm btn-danger btn-delete'>
         <i class='fa fa-trash'></i></button>";
            $row['id'] = $r->id;
            $row['rid'] = $r->role;
            array_push($temp, $row);
        endforeach;
        $data['data'] = $temp;
        echo json_encode($data);
    }

    function insert()
    {
        if ($this->session->userdata('roshaan_username')) {
            return $this->UserModel->insert($_POST);
        } else {
            redirect('Login');
        }
        return 0;
    }

    function delete()
    {
        if ($this->session->userdata('roshaan_username')) {
            $id = $_POST['id'];
            $this->UserModel->delete($id);
            return 0;
        } else {
            redirect('Login');
        }
    }

    function update()
    {
        if ($this->session->userdata('roshaan_username')) {
            $this->UserModel->update($_POST, $_POST['id']);
        } else {
            redirect('Login');
        }
    }
}
