<?php

Class ArchiveModel extends CI_Model
{
    function __construct()
    {
        parent::__construct();
    }

    public function getTotal()
    {
        $query = $this->db->query("SELECT COUNT(id) AS Total FROM scolicitor_export ");
        return $query->row();
    }

    public function getGeneralLitigation()
    {
        $query = $this->db->query("SELECT COUNT(scolicitor_export.id) AS Total FROM scolicitor_export
        LEFT JOIN scolicitor ON (scolicitor.id = scolicitor_export.scolicitor) WHERE general_litigation = 'Yes'");
        return $query->row();
    }

    public function getCommercialLitigation()
    {
        $query = $this->db->query("SELECT COUNT(scolicitor_export.id) AS Total FROM scolicitor_export
        LEFT JOIN scolicitor ON (scolicitor.id = scolicitor_export.scolicitor) WHERE commercial_litigation = 'Yes'");
        return $query->row();
    }

    public function getDebtBankruptcy()
    {
        $query = $this->db->query("SELECT COUNT(scolicitor_export.id) AS Total FROM scolicitor_export
        LEFT JOIN scolicitor ON (scolicitor.id = scolicitor_export.scolicitor) WHERE debt_bankruptcy = 'Yes'");
        return $query->row();
    }

    public function getDefamation()
    {
        $query = $this->db->query("SELECT COUNT(scolicitor_export.id) AS Total FROM scolicitor_export
        LEFT JOIN scolicitor ON (scolicitor.id = scolicitor_export.scolicitor) WHERE defamation = 'Yes'");
        return $query->row();
    }

    public function getEmploymentLaw()
    {
        $query = $this->db->query("SELECT COUNT(scolicitor_export.id) AS Total FROM scolicitor_export
        LEFT JOIN scolicitor ON (scolicitor.id = scolicitor_export.scolicitor) WHERE employment_law = 'Yes'");
        return $query->row();
    }

    public function getInHouseLawyer()
    {
        $query = $this->db->query("SELECT COUNT(scolicitor_export.id) AS Total FROM scolicitor_export
        LEFT JOIN scolicitor ON (scolicitor.id = scolicitor_export.scolicitor) WHERE in_house_lawyer = 'Yes'");
        return $query->row();
    }

    /*****************************************************************************/
    /*                                  NOTES                                    */
    /*****************************************************************************/
    public function insertNote($data)
    {
        $this->db->insert('export_notes', $data);
        if ($this->db->affected_rows() > 0) {
            return $this->db->insert_id();
        }
        return 0;
    }

    function updateNote($data, $id)
    {
        $this->db->where('id', $id);
        $this->db->update('export_notes', $data);
    }

    function deleteNote($id)
    {
        $this->db->where('id', $id);
        $this->db->delete('export_notes');
    }

    public function getNotes()
    {
        $this->db->select('*');
        $this->db->from('export_notes');
        $this->db->order_by('id', 'DESC');
        $query = $this->db->get();
        return $query->result();
    }

}

?>