<!-- Start Page content -->
<div class="content-page" style="background-color: white;">

    <!-- Start content -->
    <div class="content">

        <div class="container-fluid">

            <div class="row">
                <div class="col-xl-12">
                    <div class="breadcrumb-holder">
                        <h1 class="main-title float-left"> Firm Branches</h1>
                        <ol class="breadcrumb float-right">
                            <li class="breadcrumb-item">Home</li>
                            <li class="breadcrumb-item active">Firm Branches</li>
                        </ol>
                        <div class="clearfix"></div>
                    </div>
                </div>
            </div>
            <!-- end row -->
            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
                    <div class="card mb-3">
                        <div class="card-header">
                            <h3><i class="fa fa-table"></i> Firm Branches</h3>
                        </div>
                        <div class="card-body">
                            <button class="btn btn-primary" id="add-button" style="margin-bottom: 10px;">Add New
                            </button>
                            <div class="table-responsive">
                                <table id="table1" class="table table-bordered table-hover display">
                                    <thead>
                                    <tr>
                                        <th width="5%">Sr#</th>
                                        <th width="15%">Firm</th>
                                        <th width="15%">Address</th>
                                        <th width="13%">Town</th>
                                        <th width="13%">County</th>
                                        <th width="13%">Post Code</th>
                                        <th width="10%">Action</th>
                                        <th width="1%"></th>
                                        <th width="1%"></th>
                                        <th width="1%"></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>


                    <!-- START:  ADD RECORD MODAL  -->
                    <div class="modal fade bd-example-modal-lg" role="dialog" aria-hidden="true"
                         data-backdrop="static" data-keyboard="false" id="add-modal">
                        <div class="modal-dialog modal-lg">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title">Add Branch</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <form method="post" id="add-form" enctype="multipart/form-data">
                                        <div class="row">
                                            <div class="col-lg-6 col-md-6 col-sm-6">
                                                <label for="am_name">Firm<span class="text-danger">*</span></label>

                                                <div class="form-group">
                                                    <select id="am_firm" class="form-control select2" required>
                                                        <option value="">-- Please Select --</option>
                                                        <?php foreach ($firms as $f): ?>
                                                            <option value="<?= $f->id?>"><?= $f->name?></option>
                                                        <?php endforeach; ?>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-6 col-md-6 col-sm-6">
                                                <label for="am_address">Address<span
                                                        class="text-danger">*</span></label>

                                                <div class="form-group">
                                                    <input type="text" id="am_address" name="am_address"
                                                           class="form-control"
                                                           required/>
                                                </div>
                                            </div>
                                            <div class="col-lg-6 col-md-6 col-sm-6">
                                                <label for="am_town">Town<span class="text-danger">*</span></label>

                                                <div class="form-group">
                                                    <select id="am_town" name="am_town" class="form-control select2"
                                                            required>
                                                        <option value="">-- Please Select --</option>
                                                        <?php foreach ($towns as $t): ?>
                                                            <option value="<?= $t->id ?>"><?= $t->town ?></option>
                                                        <?php endforeach; ?>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-6 col-md-6 col-sm-6">
                                                <label for="am_county">County</label>

                                                <div class="form-group">
                                                    <input type="text" id="am_county" name="am_county"
                                                           class="form-control" />
                                                </div>
                                            </div>
                                            <div class="col-lg-6 col-md-6 col-sm-6">
                                                <label for="am_postcode">Postcode<span
                                                        class="text-danger">*</span></label>

                                                <div class="form-group">
                                                    <input type="text" id="am_postcode" name="am_postcode"
                                                           class="form-control"
                                                           required/>
                                                </div>
                                            </div>
                                        </div>
                                        <button type="submit" class="btn btn-primary">Save changes</button>
                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
                                        </button>
                                    </form>
                                </div>
                                <div class="modal-footer">
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- END:  ADD RECORD MODAL  -->


                    <!-- START:  EDIT RECORD MODAL  -->
                    <div class="modal fade bd-example-modal-lg" role="dialog" aria-hidden="true"
                         data-backdrop="static" data-keyboard="false" id="edit-modal">
                        <div class="modal-dialog modal-lg">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title">Edit </h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <form method="post" id="edit-form" enctype="multipart/form-data">
                                        <div class="row">
                                            <div class="col-lg-6 col-md-6 col-sm-6">
                                                <label for="em_address">Address<span
                                                        class="text-danger">*</span></label>

                                                <div class="form-group">
                                                    <input type="text" id="em_address" name="em_address"
                                                           class="form-control"
                                                           required/>
                                                </div>
                                            </div>
                                            <div class="col-lg-6 col-md-6 col-sm-6">
                                                <label for="em_town">Town<span class="text-danger">*</span></label>

                                                <div class="form-group">
                                                    <select id="em_town" name="em_town" class="form-control select2"
                                                            required>
                                                        <option value="">-- Please Select --</option>
                                                        <?php foreach ($towns as $t): ?>
                                                            <option value="<?= $t->id ?>"><?= $t->town ?></option>
                                                        <?php endforeach; ?>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-6 col-md-6 col-sm-6">
                                                <label for="em_county">County</label>

                                                <div class="form-group">
                                                    <input type="text" id="em_county" name="em_county"
                                                           class="form-control" />
                                                </div>
                                            </div>
                                            <div class="col-lg-6 col-md-6 col-sm-6">
                                                <label for="em_postcode">Postcode<span
                                                        class="text-danger">*</span></label>

                                                <div class="form-group">
                                                    <input type="text" id="em_postcode" name="em_postcode"
                                                           class="form-control"
                                                           required/>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-6 col-md-6 col-sm-6" style="visibility: hidden">
                                                <label for="em_id">ID</label>

                                                <div class="form-group">
                                                    <input type="text" id="em_id" class="form-control" required/>
                                                </div>
                                            </div>
                                            <div class="col-lg-6 col-md-6 col-sm-6" style="visibility: hidden">
                                                <label for="em_bid">BID</label>

                                                <div class="form-group">
                                                    <input type="text" id="em_bid" class="form-control" required/>
                                                </div>
                                            </div>
                                        </div>
                                        <button type="submit" class="btn btn-primary">Save changes</button>
                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
                                        </button>
                                    </form>
                                </div>
                                <div class="modal-footer">
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- END:  EDIT RECORD MODAL  -->

                </div>
            </div>
            <!-- end row -->


        </div>
        <!-- END container-fluid -->

    </div>
    <!-- END content -->

</div>
<!-- END content-page -->