<!-- Start Page content -->
<div class="content-page" style="background-color: white;">

    <!-- Start content -->
    <div class="content">

        <div class="container-fluid">

            <div class="row">
                <div class="col-xl-12">
                    <div class="breadcrumb-holder">
                        <h1 class="main-title float-left"> Export History</h1>
                        <ol class="breadcrumb float-right">
                            <li class="breadcrumb-item">Home</li>
                            <li class="breadcrumb-item active"> Export History</li>
                        </ol>
                        <div class="clearfix"></div>
                    </div>
                </div>
            </div>
            <!-- end row -->
            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
                    <div class="card mb-3">
                        <div class="card-header">
                            <h3><i class="fa fa-table"></i> Export History</h3>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table id="table1" class="table table-bordered table-hover display">
                                    <thead>
                                    <tr>
                                        <th width="100px">Date</th>
                                        <th width="70px">Action</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <?php foreach ($exportHistory as $h): ?>
                                        <tr>
                                            <td><?= date("d-M-Y", strtotime($h->date)); ?>
                                            </td>
                                            <td>
                                                <a href="<?= base_url('ExportHistory/getExportHistory/' . $h->date) ?>"
                                                   target="_blank" data-toggle='tooltip'
                                                   data-placement='bottom' title='View'
                                                   class='btn btn-sm btn-dark'>
                                                    <i class='fa fa-eye'></i></a>
                                                <button data-id='<?= $h->date ?>' data-toggle='tooltip'
                                                        data-placement='bottom' title='Archive'
                                                        class='btn btn-sm btn-info btn-edit'>
                                                    <i class='fa fa-archive'></i></button>
                                                <button data-id='<?= $h->date ?>' data-toggle='tooltip'
                                                        data-placement='bottom' title='Delete'
                                                        class='btn btn-sm btn-danger btn-delete'>
                                                    <i class='fa fa-trash'></i></button>
                                            </td>
                                        </tr>
                                    <?php endforeach;

                                    function getMark($v)
                                    {
                                        $r = "";
                                        if ($v == "Yes") {
                                            $r = '<span class="fa fa-check" style="color: green; font-size: 18px;" ></span>';
                                        } else {
                                            $r = '<span class="fa fa-close" style="color: red; font-size: 18px;" ></span>';
                                        }
                                        return $r;
                                    }

                                    ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- end row -->


        </div>
        <!-- END container-fluid -->

    </div>
    <!-- END content -->

</div>
<!-- END content-page -->