<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no"/>

    <meta http-equiv="cache-control" content="max-age=0"/>
    <meta http-equiv="cache-control" content="no-store"/>
    <meta http-equiv="expires" content="-1"/>
    <meta http-equiv="expires" content="Tue, 01 Jan 1980 1:00:00 GMT"/>
    <meta http-equiv="pragma" content="no-cache"/>

    <!--<link rel="icon shortcut" href="<? /*= base_url('assets/theme_admin/images/favicon.ico') */ ?>">-->

    <link rel="stylesheet" href="<?= base_url('assets/theme_admin/css/bootstrap.min.css') ?>"/>
    <link rel="stylesheet" href="<?= base_url('assets/theme_admin/font-awesome/css/font-awesome.min.css') ?>"/>
    <link rel="stylesheet" href="<?= base_url('assets/theme_admin/css/jquery.dataTables.min.css') ?>"/>
    <link rel="stylesheet" href="<?= base_url('assets/theme_admin/css/dataTables.bootstrap4.min.css') ?>"/>
    <link rel="stylesheet" href="<?= base_url('assets/theme_admin/css/buttons.dataTables.min.css') ?>"/>
    <title>Solicitor DB</title>
    <style>


        label {
            margin: 0;
        }

        .form-group {
            margin-bottom: 8px;
        }

        .w-90 {
            width: 90% !important;
        }

        .modal-content table td, .modal-content table th {
            padding: 3px;
        }

        .modal-content table td .form-control {
            padding: 2px;
            margin-bottom: 0;
        }

        .daterangepicker {
            z-index: 9999 !important
        }

        .card-body {
            padding: 6px;
        }
    </style>
</head>
<body>

<div style="padding: 50px;">
    <h3 class="text-center"><u>Export History</u> <br><?= date("d-M-Y", strtotime($date)) ?></h3>

    <div class="table-responsive">
        <table id="table1" class="table table-bordered table-hover display" style="width: 1880px;">
            <thead>
            <tr>
                <th width="80px">SRN</th>
                <th width="150px">Name</th>
                <th width="250px">Firm</th>
                <th width="80px">General Litigation</th>
                <th width="80px">Commercial Litigation</th>
                <th width="80px">Debt Bankruptcy</th>
                <th width="80px">Defamation</th>
                <th width="80px">Employment Law</th>
                <th width="80px">In House Lawyer</th>
                <th width="80px">Family Law</th>
                <th width="80px">Banking</th>
                <th width="80px">Debt Recovery</th>
                <th width="80px">Insurance</th>
            </tr>
            </thead>
            <tbody>
            <?php foreach ($exportHistory as $h): ?>
                <tr>
                    <td><?= $h->srn; ?></td>
                    <td><?= $h->Sname; ?></td>
                    <td><?= $h->Fname; ?></td>
                    <td><?= getMark($h->cat1); ?></td>
                    <td><?= getMark($h->cat2); ?></td>
                    <td><?= getMark($h->cat3); ?></td>
                    <td><?= getMark($h->cat4); ?></td>
                    <td><?= getMark($h->cat5); ?></td>
                    <td><?= getMark($h->cat6); ?></td>
                    <td><?= getMark($h->cat7); ?></td>
                    <td><?= getMark($h->cat8); ?></td>
                    <td><?= getMark($h->cat9); ?></td>
                    <td><?= getMark($h->cat10); ?></td>
                </tr>
            <?php endforeach;

            function getMark($v)
            {
                $r = "";
                if ($v == "Yes") {
                    $r = '<span class="fa fa-check" style="color: green; font-size: 18px;" ></span>';
                } else {
                    $r = '<span class="fa fa-close" style="color: red; font-size: 18px;" ></span>';
                }
                return $r;
            }

            ?>
            </tbody>
        </table>
    </div>

</div>

<script type="text/javascript" src="<?= base_url('assets/theme_admin/js/modernizr.min.js') ?>"></script>
<script type="text/javascript" src="<?= base_url('assets/theme_admin/js/jquery.min.js') ?>"></script>
<script type="text/javascript" src="<?= base_url('assets/theme_admin/js/moment.min.js') ?>"></script>

<script type="text/javascript" src="<?= base_url('assets/theme_admin/js/popper.min.js') ?>"></script>
<script type="text/javascript" src="<?= base_url('assets/theme_admin/js/bootstrap.min.js') ?>"></script>

<script type="text/javascript" src="<?= base_url('assets/theme_admin/js/detect.js') ?>"></script>
<script type="text/javascript" src="<?= base_url('assets/theme_admin/js/fastclick.js') ?>"></script>
<script type="text/javascript" src="<?= base_url('assets/theme_admin/js/jquery.blockUI.js') ?>"></script>
<script type="text/javascript" src="<?= base_url('assets/theme_admin/js/jquery.nicescroll.js') ?>"></script>

<script type="text/javascript" src="<?= base_url('assets/theme_admin/js/pikeadmin.js') ?>"></script>

<script type="text/javascript" src="<?= base_url('assets/theme_admin/js/Chart.min.js') ?>"></script>

<script type="text/javascript" src="<?= base_url('assets/theme_admin/js/jquery.dataTables.min.js') ?>"></script>
<script type="text/javascript" src="<?= base_url('assets/theme_admin/js/dataTables.bootstrap4.min.js') ?>"></script>
<script type="text/javascript" src="<?= base_url('assets/theme_admin/js/dataTables.buttons.min.js') ?>"></script>
<script type="text/javascript" src="<?= base_url('assets/theme_admin/js/buttons.print.min.js') ?>"></script>


<script type="text/javascript"
        src="<?= base_url('assets/theme_admin/plugins/waypoints/lib/jquery.waypoints.min.js') ?>"></script>
<script type="text/javascript"
        src="<?= base_url('assets/theme_admin/plugins/counterup/jquery.counterup.min.js') ?>"></script>

<script type="text/javascript"
        src="<?= base_url('assets/theme_admin/plugins/datetimepicker/js/moment.min.js') ?>"></script>
<script type="text/javascript"
        src="<?= base_url('assets/theme_admin/plugins/datetimepicker/js/daterangepicker.js') ?>"></script>
<script type="text/javascript"
        src="<?= base_url('assets/theme_admin/js/select2.full.min.js') ?>"></script>

<script type="text/javascript"
        src="<?= base_url('assets/theme_admin/js/editor.js') ?>"></script>
<script type="text/javascript" src="<?= base_url('assets/theme_admin/js/jquery.orgchart.js') ?>"></script>


<script src="<?= base_url('assets/theme_admin/js/sweetalert2.all.min.js') ?>"></script>

<script src="https://cdn.datatables.net/buttons/2.1.0/js/buttons.html5.min.js"></script>

<script>
    Table1 = $('#table1').DataTable({
        "autoWidth": false,
        "lengthMenu": [[5, 25, 50, -1], [5, 25, 50, "All"]]

    });
</script>
</body>
</html>