<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class ExportHistory extends CI_Controller
{
    function __construct()
    {
        parent:: __construct();
        $this->load->model("SolicitorModel");

        $this->load->library('table');
    }

    public function index()
    {
        if ($this->session->userdata('roshaan_username')) {
            $data['exportHistory'] = $this->SolicitorModel->getExportHistoryDate();
            $data['user_info1'] = $this->session->userdata('roshaan_name') . " | " . $this->session->userdata('roshaan_outlet_name');
            $data['user_info2'] = $this->session->userdata('roshaan_username');
            $data['ExportHistory'] = "active";
            $data['myJS'] = base_url('assets/theme_admin/js/pages/export_history.js');
            $this->load->view('admin/template/header', $data);
            $this->load->view('admin/export_history');
            $this->load->view('admin/template/footer');
        } else {
            redirect('Login');
        }
    }

    public function getExportHistory()
    {
        if ($this->session->userdata('roshaan_username')) {
            $DATE = $this->uri->segment(3);
//            $DATE = date("Y-m-d", strtotime($DATE));
            $data['date'] = $DATE;
            $data['exportHistory'] = $this->SolicitorModel->getExportHistory($DATE);
            $this->load->view('admin/export_history2', $data);

        } else {
            redirect('Login');
        }
    }


    function delete()
    {
        if ($this->session->userdata('roshaan_username')) {
            $id = $_POST['id'];
            $this->SolicitorModel->deleteExport($id);
        } else {
            redirect('Login');
        }
    }

    function archive()
    {
        if ($this->session->userdata('roshaan_username')) {

            $data['archive'] = 1;
            $this->SolicitorModel->archiveExport($data, $_POST['id']);
        } else {
            redirect('Login');
        }
    }


}
