<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Login extends CI_Controller
{
    function __construct()
    {
        parent:: __construct();
        $this->load->helper('form');
        $this->load->library('form_validation');
        $this->load->model('UserModel');
    }

    public function index()
    {
        $this->load->view('admin/index');
    }

    public function login()
    {
        if (!$this->session->userdata('roshaan_username')) {
            $rules = array(
                array(
                    'field' => 'username',
                    'label' => 'Username',
                    'rules' => 'required'
                ),
                array(
                    'field' => 'password',
                    'label' => 'Password',
                    'rules' => 'required'
                )
            );

            $this->form_validation->set_rules($rules);

            if ($this->form_validation->run() == false) {
                $data['form_errors'] = validation_errors();
                $this->load->view('admin/index', $data);
            } else {
                if ($this->UserModel->validate()) {
                    $data['form_errors'] = "";

                  /*  $tz = 'Asia/Karachi';
                    $timestamp = time();
                    $dt = new DateTime("now", new DateTimeZone($tz)); //first argument "must" be a string
                    $dt->setTimestamp($timestamp); //adjust the object to correct timestamp
                    $d['date'] = $dt->format('Y-m-d H:i:s');
                    $d['user_id'] = $this->session->userdata('roshaan_user_id');
                    $d['ip'] = $this->input->ip_address();
                    $this->UserModel->insertLog($d);*/

                  /*  if($this->session->userdata('roshaan_user_id') == 1)
                    {
                        redirect('Home/main');
                    }
                    else{
                        redirect('Home');
                    }*/

                    redirect('Firm');
                } else {
                    $data['form_errors'] = "Invalid username or password";
                    $this->load->view('admin/index', $data);
                }
            }
        } else {
            redirect('Firm');
        }
    }


    public function contact()
    {
        $this->load->view('admin/contact');
    }

}

?>