<!-- Start Page content -->
<div class="content-page" style="background-color: white;">

    <!-- Start content -->
    <div class="content">

        <div class="container-fluid">

            <div class="row">
                <div class="col-xl-12">
                    <div class="breadcrumb-holder">
                        <h1 class="main-title float-left"> Archive</h1>
                        <ol class="breadcrumb float-right">
                            <li class="breadcrumb-item">Home</li>
                            <li class="breadcrumb-item active">Archive</li>
                        </ol>
                        <div class="clearfix"></div>
                    </div>
                </div>
            </div>

            <style>
                /* Chrome, Safari, Edge, Opera */
                input::-webkit-outer-spin-button,
                input::-webkit-inner-spin-button {
                    -webkit-appearance: none;
                    margin: 0;
                }

                /* Firefox */
                input[type=number] {
                    -moz-appearance: textfield;
                }
            </style>

            <!-- end row -->
            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
                    <div class="card mb-3">
                        <div class="card-header">
                            <h3><i class="fa fa-table"></i> Archive</h3>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table id="table" class="table table-bordered table-hover display wrap">
                                    <thead>
                                    <tr>
                                        <th>General Litigation</th>
                                        <th>Commercial Litigation</th>
                                        <th>Debt Bankruptcy</th>
                                        <th>Defamation</th>
                                        <th>Employment Law</th>
                                        <th>In House Lawyer</th>
                                        <th>Total</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <td><?= $cat1->Total ?></td>
                                        <td><?= $cat2->Total ?></td>
                                        <td><?= $cat3->Total ?></td>
                                        <td><?= $cat4->Total ?></td>
                                        <td><?= $cat5->Total ?></td>
                                        <td><?= $cat6->Total ?></td>
                                        <td><?= $total->Total ?></td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <!-- end row -->




            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
                    <div class="card mb-3">
                        <div class="card-header">
                            <h3><i class="fa fa-table"></i> Notes</h3>
                        </div>
                        <div class="card-body">
                            <button class="btn btn-primary" id="add-button" style="margin-bottom: 10px;">Add Note
                            </button>
                            <div class="table-responsive">
                                <table id="table1" class="table table-bordered table-hover display">
                                    <thead>
                                    <tr>
                                        <th width="5%">Sr#</th>
                                        <th width="12%">Date</th>
                                        <th width="73%">Note</th>
                                        <th width="9%">Action</th>
                                        <th width="1%"></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>


                    <!-- START:  ADD RECORD MODAL  -->
                    <div class="modal fade bd-example-modal-lg" role="dialog" aria-hidden="true"
                         data-backdrop="static" data-keyboard="false" id="add-modal">
                        <div class="modal-dialog modal-lg">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title">Add Note</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <form method="post" id="add-form" enctype="multipart/form-data">
                                        <!--<div class="row">
                                            <div class="col-lg-6 col-md-6 col-sm-6">
                                                <label for="am_address">Address<span
                                                        class="text-danger">*</span></label>

                                                <div class="form-group">
                                                    <input type="text" id="am_address" name="am_address"
                                                           class="form-control"
                                                           required/>
                                                </div>
                                            </div>
                                        </div>-->
                                        <div class="row">
                                            <div class="col-lg-12 col-md-12 col-sm-12">
                                                <label for="am_note">Note</label>

                                                <div class="form-group">
                                                    <textarea rows="4" id="am_note" name="am_note"
                                                           class="form-control" ></textarea>
                                                </div>
                                            </div>
                                        </div>
                                        <button type="submit" class="btn btn-primary">Save changes</button>
                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
                                        </button>
                                    </form>
                                </div>
                                <div class="modal-footer">
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- END:  ADD RECORD MODAL  -->


                    <!-- START:  EDIT RECORD MODAL  -->
                    <div class="modal fade bd-example-modal-lg" role="dialog" aria-hidden="true"
                         data-backdrop="static" data-keyboard="false" id="edit-modal">
                        <div class="modal-dialog modal-lg">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title">Edit </h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <form method="post" id="edit-form" enctype="multipart/form-data">
                                        <div class="row">
                                            <div class="col-lg-12 col-md-12 col-sm-12">
                                                <label for="em_note">Note</label>

                                                <div class="form-group">
                                                    <textarea rows="4" id="em_note" name="em_note"
                                                              class="form-control" ></textarea>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-6 col-md-6 col-sm-6" style="visibility: hidden">
                                                <label for="em_id">ID</label>

                                                <div class="form-group">
                                                    <input type="text" id="em_id" class="form-control" required/>
                                                </div>
                                            </div>
                                        </div>
                                        <button type="submit" class="btn btn-primary">Save changes</button>
                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
                                        </button>
                                    </form>
                                </div>
                                <div class="modal-footer">
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- END:  EDIT RECORD MODAL  -->

                </div>
            </div>
            <!-- end row -->


        </div>
        <!-- END container-fluid -->

    </div>
    <!-- END content -->

</div>
<!-- END content-page -->