<!DOCTYPE html>
<html lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252">

    <!-- Meta, title, CSS, favicons, etc. -->

    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Solicitors DB</title>

    <!-- Bootstrap -->
    <link rel="stylesheet" href="<?= base_url('assets/theme_admin/css/bootstrap.min.css') ?>"/>
    <!-- Font Awesome -->
    <link rel="stylesheet" href="<?= base_url('assets/theme_admin/font-awesome/css/font-awesome.min.css') ?>"/>
    <!-- NProgress -->
    <link href="<?= base_url('assets/theme_admin/css/nprogress.css') ?>" rel="stylesheet">
    <!-- Animate.css -->
    <link href="<?= base_url('assets/theme_admin/css/animate.min.css') ?>" rel="stylesheet">

    <!-- Custom Theme Style -->
    <link href="<?= base_url('assets/theme_admin/css/custom.min.css') ?>" rel="stylesheet">

    <script type="text/javascript" src="<?= base_url('assets/theme_admin/js/jquery.min.js') ?>"></script>
</head>

<body class="login">
<div>
    <a class="hiddenanchor" id="signup"></a>
    <a class="hiddenanchor" id="signin"></a>

    <div class="login_wrapper">
        <div class="animate form login_form">
            <section class="login_content">
                <form action="<?= base_url('Login/login') ?>" method="post">
                    <h1>Login Form</h1>

                    <div>
                        <input type="text" class="form-control" placeholder="Username" id="username" name="username"
                               required/>
                    </div>
                    <div>
                        <input type="password" class="form-control" placeholder="Password" id="password"
                               name="password" required/>
                    </div>
                    <?php if (isset($form_errors)) { ?>
                        <div class="text-danger">
                            <p><?php echo $form_errors; ?></p>
                        </div>
                    <?php } ?>
                    <div>
                        <button type="submit" class="btn btn-primary">Login</button>
                    </div>

                    <div class="clearfix" id="res"></div>

                    <div class="separator">

                        <div class="clearfix"></div>
                        <br/>

                        <div>
                            <h1>Solicitors DB</h1>

                            <!--<p>Powered By<b> Developed by </b></p>-->
                        </div>
                    </div>
                </form>
            </section>
        </div>
    </div>
</div>
</body>
</html>