var Table1;
$(document).ready(function () {

    Table1 = $('#table1').DataTable({
        autoWidth: false,
        "lengthMenu": [[5, 25, 50, -1], [5, 25, 50, "All"]]

    });
//    MergeGridCells();



});


/*  START: Archive Record */
$('#table1 tbody').on('click', 'button.btn-edit', function () {
    var rrow = this;
    var id = $(this).data('id');
    console.log("Archive: " + id);
    if (confirm("Are You sure want to archive !")) {
        $.ajax({
            url: "ExportHistory/archive",
            type: "POST",
            data: {
                id: id
            },
            success: function (result) {
                toastMixin.fire({
                    animation: true,
                    title: 'Record Deleted Successfully'
                });

                $(rrow).parents("tr").remove();

                /*                Table1.clear().draw();
                 Table1.ajax.reload().draw();*/
            }
        });
    }
});
/*  END: Archive Record */


/*  START: Delete Record */
$('#table1 tbody').on('click', 'button.btn-delete', function () {
    var rrow = this;
    var id = $(this).data('id');
    console.log("Delete: " + id);
    if (confirm("Are You sure want to delete !")) {
        $.ajax({
            url: "ExportHistory/delete",
            type: "POST",
            data: {
                id: id
            },
            success: function (result) {
                toastMixin.fire({
                    animation: true,
                    title: 'Record Deleted Successfully'
                });

                location.reload();
//                $(rrow).parents("tr").remove();
                /*Table1.clear().draw();
                 Table1.ajax.reload().draw();*/
            }
        });
    }
});
/*  END: Delete Record */
function MergeGridCells() {
    var dimension_cells = new Array();
    var dimension_col = null;
    var columnCount = 1;//$("#table1 tr:first th").length;
    // first_instance holds the first instance of identical td

    var first_instance = null;
    var rowspan = 1;
    // iterate through rows
    $("#table1").find('tr').each(function () {

        // find the td of the correct column (determined by the dimension_col set above)
        var dimension_td = $(this).find('td:nth-child(1)');

        if (first_instance == null) {
            // must be the first row
            first_instance = dimension_td;
        } else if (dimension_td.text() == first_instance.text()) {
            // the current td is identical to the previous
            // remove the current td
            dimension_td.remove();
            ++rowspan;
            // increment the rowspan attribute of the first instance
            first_instance.attr('rowspan', rowspan);
        } else {
            // this cell is different from the last
            first_instance = dimension_td;
            rowspan = 1;
        }
    });

}


var toastMixin = Swal.mixin({
    toast: true,
    icon: 'success',
    title: 'General Title',
    animation: false,
    position: 'top-right',
    showConfirmButton: false,
    timer: 1000,
    timerProgressBar: true
});
