var Table1;

var general_litigation = "";
var commercial_litigation = "";
var debt_bankruptcy = "";
var defamation = "";
var employment_law = "";
var in_house_lawyer = "";
var family_law = "";
var banking = "";
var debt = "";
var insurance = "";
var position = "";
var num1 = "";
var num2 = "";

$(document).ready(function () {
    $(function () {
        $(".select2").select2({
            placeholder: "-- Please Select --",
            width: '100%',
            dropdownAutoWidth: true,
            allowClear: true
        });
    });

});

$('#num').change(function () {
    num1 = "";
    num2 = "";

    var temp = $(this).val();
    if (temp == 0) {
        num1 = 0;
        num2 = 3000;
    }
    if (temp == 1) {
        num1 = 1;
        num2 = 10;
    } else if (temp == 2) {
        num1 = 11;
        num2 = 25;
    } else if (temp == 3) {
        num1 = 26;
        num2 = 100;
    } else if (temp == 4) {
        num1 = 101;
        num2 = 3000;
    }
    console.log(num1);
    console.log(num2);
});

function getData() {
    // console.log("AS");
    Table1 = $('#table1').DataTable({
        destroy: true,
        autoWidth: false,
        aaSorting: [[0, 'asc']],
        dom: 'Bfrtip',
        buttons: [
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5'
        ],
        ajax: {
            "url": "Search/getData",
            "data": {
                'general_litigation': general_litigation,
                'commercial_litigation': commercial_litigation,
                'debt_bankruptcy': debt_bankruptcy,
                'defamation': defamation,
                'employment_law': employment_law,
                'in_house_lawyer': in_house_lawyer,
                'family_law': family_law,
                'banking': banking,
                'debt': debt,
                'insurance': insurance,
                'position': position,
                'num1': num1,
                'num2': num2
            },
            "type": "POST"
        },
        columns: [
            {
                "data": "id",
                render: function (data, type, row, meta) {
                    return meta.row + meta.settings._iDisplayStart + 1;
                }
            },
            {"data": "sname"},
            {"data": "position"},
            {"data": "solicitors_num"},
            {"data": "name"},
            {"data": "address"},
            {"data": "town"},
            {"data": "county"},
            {"data": "postcode"},
            {"data": "telephone"},
            {"data": "direct_line"},
            {"data": "mobile"},
            {"data": "email"},
            {"data": "defamation"},
            {"data": "general_litigation"},
            {"data": "commercial_litigation"},
            {"data": "debt_bankruptcy"},
            {"data": "employment_law"},
            {"data": "in_house_lawyer"},
            {"data": "family_law"},
            {"data": "banking"},
            {"data": "debt_recovery"},
            {"data": "insurance"}
        ]
    });


    Table1.columns.adjust().draw();
}


$(document).on("click", "#btn_search", function () {
    getData();
});

$(document).on("change", "#general_litigation", function () {
    general_litigation = $(this).val();
});

$(document).on("change", "#commercial_litigation", function () {
    commercial_litigation = $(this).val();
});

$(document).on("change", "#debt_bankruptcy", function () {
    debt_bankruptcy = $(this).val();
});

$(document).on("change", "#defamation", function () {
    defamation = $(this).val();
});

$(document).on("change", "#employment_law", function () {
    employment_law = $(this).val();
});

$(document).on("change", "#in_house_lawyer", function () {
    in_house_lawyer = $(this).val();
});
$(document).on("change", "#family_law", function () {
    family_law = $(this).val();
});
$(document).on("change", "#banking", function () {
    banking = $(this).val();
});
$(document).on("change", "#debt", function () {
    debt = $(this).val();
});
$(document).on("change", "#insurance", function () {
    insurance = $(this).val();
});

$(document).on("click", ".buttons-csv", function () {
    $.ajax({
        url: "Solicitor/exportUpdate",
        type: "POST",
        success: function (result) {
            console.log(result);
        }
    });
});



